---
apiVersion: gateway.networking.k8s.io/v1
kind: TLSRoute
metadata:
  name: kanidm
  namespace: kanidm
  labels:
    app.kubernetes.io/name: kanidm
    app.kubernetes.io/instance: kanidm
spec:
  hostnames:
    - kanidm.k8s.syd1.au.unkin.net
    - auth.unkin.net
    - au.auth.unkin.net
  parentRefs:
    - group: gateway.networking.k8s.io
      kind: Gateway
      name: kanidm
      sectionName: https-passthrough
  rules:
    - backendRefs:
        - group: ""
          kind: Service
          name: kanidm
          port: 8443
          weight: 1
